Description: Use system libopenjpeg2
Author: Soren Stoutner <soren@debian.org>
Forwarded: https://bugreports.qt.io/browse/QTBUG-63889
Last-Update: 2023-01-28
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/buildtools/configure.json
+++ b/src/buildtools/configure.json
@@ -115,6 +115,12 @@
                 "-ljpeg"
             ]
         },
+        "webengine-openjpeg2": {
+            "label": "OpenJPEG 2",
+            "sources": [
+                { "type": "pkgConfig", "args": "libopenjp2" }
+            ]
+        },
         "webengine-libevent": {
             "label": "libevent",
             "sources": [
@@ -633,6 +639,11 @@
             "condition": "config.unix && features.system-jpeg && libs.webengine-jpeglib",
             "output": [ "privateFeature" ]
         },
+        "webengine-system-openjpeg2" : {
+            "label": "OpenJPEG 2",
+            "condition": "config.unix && libs.webengine-openjpeg2",
+            "output": [ "privateFeature" ]
+        },
         "webengine-qt-jpeg" : {
            "label": "qtlibjpeg",
            "condition": "config.static && !features.system-jpeg && features.jpeg",
@@ -846,6 +857,7 @@
                         "webengine-system-lcms2",
                         "webengine-system-png",
                         "webengine-system-jpeg",
+                        "webengine-system-openjpeg2",
                         "webengine-system-harfbuzz",
                         "webengine-system-freetype"
                      ]
--- a/src/buildtools/config/linux.pri
+++ b/src/buildtools/config/linux.pri
@@ -164,6 +164,11 @@ host_build {
     } else {
         gn_args += use_system_libjpeg=false
     }
+    qtConfig(webengine-system-openjpeg2) {
+        gn_args += use_system_libopenjpeg2=true
+    } else {
+        gn_args += use_system_libopenjpeg2=false
+    }
     qtConfig(webengine-system-freetype) {
         gn_args += use_system_freetype=true
     } else {
